# Generated by go2rpm
%bcond_without check

# https://github.com/nats-io/nats-streaming-server
%global goipath         github.com/nats-io/nats-streaming-server
Version:                0.14.1

%gometa

%global common_description %{expand:
NATS Streaming System Server.}

%global golicenses      LICENSE
%global godocs          CODE-OF-CONDUCT.md GOVERNANCE.md MAINTAINERS.md\\\
                        TODO.md README.md

Name:           %{goname}
Release:        2%{?dist}
Summary:        NATS Streaming System Server

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/go-sql-driver/mysql)
BuildRequires:  golang(github.com/gogo/protobuf/gogoproto)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/hashicorp/go-msgpack/codec)
BuildRequires:  golang(github.com/hashicorp/raft)
BuildRequires:  golang(github.com/lib/pq)
BuildRequires:  golang(github.com/nats-io/gnatsd/conf)
BuildRequires:  golang(github.com/nats-io/gnatsd/logger)
BuildRequires:  golang(github.com/nats-io/gnatsd/server)
BuildRequires:  golang(github.com/nats-io/go-nats)
BuildRequires:  golang(github.com/nats-io/go-nats-streaming/pb)
BuildRequires:  golang(github.com/nats-io/nuid)
BuildRequires:  golang(github.com/prometheus/procfs)
BuildRequires:  golang(go.etcd.io/bbolt)
BuildRequires:  golang(golang.org/x/crypto/chacha20poly1305)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/nats-io/gnatsd/test)
BuildRequires:  golang(github.com/nats-io/go-nats-streaming)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/nats-streaming-server %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# logger, stores: need network
%gocheck -d server -d logger -d stores
%endif

%files
%license LICENSE
%doc CODE-OF-CONDUCT.md GOVERNANCE.md MAINTAINERS.md TODO.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 14 01:34:47 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.14.1-1
- Initial package
